/[gentoo-x86]/eclass/gems.eclass
Gentoo

Log of /eclass/gems.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Links to HEAD: (view) (download) (annotate)

Revision 1.37
Fri Jul 4 02:00:23 2014 UTC (2 months, 3 weeks ago) by mrueg
Branch: MAIN
CVS Tags: HEAD
Changes since 1.36: +1 -1 lines
FILE REMOVED
Remove deprecated ruby.eclass and gems.eclass. Please use ruby-ng.eclass and ruby-fakegem.eclass instead. See bug #479812


Revision 1.36 - (view) (download) (annotate) - [select for diffs]
Wed May 7 20:41:18 2014 UTC (4 months, 2 weeks ago) by mrueg
Branch: MAIN
Changes since 1.35: +3 -2 lines
Diff to previous 1.35 , to selected 1.12
ruby.eclass and gems.eclass have been deprecated by ruby-ng.eclass and ruby-fakegem.eclass. Removal in 30 days. See bug #479812.


Revision 1.35 - (view) (download) (annotate) - [select for diffs]
Mon Aug 22 04:46:31 2011 UTC (3 years, 1 month ago) by vapier
Branch: MAIN
Changes since 1.34: +3 -4 lines
Diff to previous 1.34 , to selected 1.12
fix random bugs in eclass documentation, and convert to new @AUTHOR tag


Revision 1.34 - (view) (download) (annotate) - [select for diffs]
Tue Aug 3 15:51:10 2010 UTC (4 years, 1 month ago) by flameeyes
Branch: MAIN
Changes since 1.33: +3 -2 lines
Diff to previous 1.33 , to selected 1.12
Require an older version of rubygems, since this is compatibility-only now.


Revision 1.33 - (view) (download) (annotate) - [select for diffs]
Sat Apr 3 11:53:34 2010 UTC (4 years, 5 months ago) by graaff
Branch: MAIN
Changes since 1.32: +5 -1 lines
Diff to previous 1.32 , to selected 1.12
Add deprecation notices to the old ruby eclasses.


Revision 1.32 - (view) (download) (annotate) - [select for diffs]
Sun Nov 29 19:10:01 2009 UTC (4 years, 9 months ago) by flameeyes
Branch: MAIN
Changes since 1.31: +5 -1 lines
Diff to previous 1.31 , to selected 1.12
Commit missing --force support.


Revision 1.31 - (view) (download) (annotate) - [select for diffs]
Sat Nov 28 09:02:59 2009 UTC (4 years, 9 months ago) by a3li
Branch: MAIN
Changes since 1.30: +2 -3 lines
Diff to previous 1.30 , to selected 1.12
Use mirror://rubygems


Revision 1.30 - (view) (download) (annotate) - [select for diffs]
Sat Nov 28 08:26:40 2009 UTC (4 years, 9 months ago) by a3li
Branch: MAIN
Changes since 1.29: +3 -2 lines
Diff to previous 1.29 , to selected 1.12
gems.eclass: Fetch gems from gems.rubyforge.org only for the moment


Revision 1.29 - (view) (download) (annotate) - [select for diffs]
Thu Aug 20 08:55:01 2009 UTC (5 years, 1 month ago) by graaff
Branch: MAIN
Changes since 1.28: +3 -3 lines
Diff to previous 1.28 , to selected 1.12
Deprecation indicates that it might still work, so be more clear that this no longer works.


Revision 1.28 - (view) (download) (annotate) - [select for diffs]
Thu Aug 20 08:38:25 2009 UTC (5 years, 1 month ago) by a3li
Branch: MAIN
Changes since 1.27: +3 -10 lines
Diff to previous 1.27 , to selected 1.12
Remove USE_RUBY=any support from gems.eclass


Revision 1.27 - (view) (download) (annotate) - [select for diffs]
Sun Jul 5 16:46:05 2009 UTC (5 years, 2 months ago) by graaff
Branch: MAIN
Changes since 1.26: +3 -9 lines
Diff to previous 1.26 , to selected 1.12
Increase the dependency on rubygems to rubygems 1.3.1. This has been the stable version since January 2009, and we don't have older versions in the tree anymore. Two benefits: a) we can simplify the installation call again in this eclass, and b) we can be sure that "development" style dependencies of a gem will be ignored when installing it.


Revision 1.26 - (view) (download) (annotate) - [select for diffs]
Sat May 23 12:22:06 2009 UTC (5 years, 4 months ago) by flameeyes
Branch: MAIN
Changes since 1.25: +4 -4 lines
Diff to previous 1.25 , to selected 1.12
Change the blocker from generic dev-ruby/rdoc to rdoc earlier than 2.

We're going to need an rdoc-2 one day.


Revision 1.25 - (view) (download) (annotate) - [select for diffs]
Tue Mar 17 19:39:51 2009 UTC (5 years, 6 months ago) by a3li
Branch: MAIN
Changes since 1.24: +100 -49 lines
Diff to previous 1.24 , to selected 1.12
Updating gems.eclass for Ruby 1.9.1


Revision 1.24 - (view) (download) (annotate) - [select for diffs]
Sun Feb 8 20:48:01 2009 UTC (5 years, 7 months ago) by a3li
Branch: MAIN
Changes since 1.23: +3 -3 lines
Diff to previous 1.23 , to selected 1.12
Quote variables. Thanks to maekke in bug 258197.


Revision 1.23 - (view) (download) (annotate) - [select for diffs]
Fri Nov 14 13:56:56 2008 UTC (5 years, 10 months ago) by graaff
Branch: MAIN
Changes since 1.22: +4 -4 lines
Diff to previous 1.22 , to selected 1.12
Multiple ruby versions are currently only supported in the ruby overlay, use the default ruby interpreter for now


Revision 1.22 - (view) (download) (annotate) - [select for diffs]
Fri Nov 14 11:59:14 2008 UTC (5 years, 10 months ago) by graaff
Branch: MAIN
Changes since 1.21: +12 -3 lines
Diff to previous 1.21 , to selected 1.12
Handle the installation of gems differently when using rubygems >= 1.3.0.
Specifically we use our own custom --sandbox-fix option to make sure that
finding dependencies still works even when using a sandbox installation.
Thanks for Alex Legler (a3li) for the work on this.


Revision 1.21 - (view) (download) (annotate) - [select for diffs]
Sun Feb 17 08:49:19 2008 UTC (6 years, 7 months ago) by rbrown
Branch: MAIN
Changes since 1.20: +6 -3 lines
Diff to previous 1.20 , to selected 1.12
Explicitly set RDEPEND


Revision 1.20 - (view) (download) (annotate) - [select for diffs]
Wed Jan 16 05:52:20 2008 UTC (6 years, 8 months ago) by nichoj
Branch: MAIN
Changes since 1.19: +20 -37 lines
Diff to previous 1.19 , to selected 1.12
Updated rubygems dependency to be >= 0.9, in order to remove obsoleted workaround for gem not returning a proper exit code. This fixes bug #202688. Removed unneeded setting of S. Re-ordered src_* functions to be in order. Use long command line options for gem, to be more clear what it's doing.


Revision 1.19 - (view) (download) (annotate) - [select for diffs]
Fri Jan 11 00:22:03 2008 UTC (6 years, 8 months ago) by rbrown
Branch: MAIN
Changes since 1.18: +3 -4 lines
Diff to previous 1.18 , to selected 1.12
Fix version doc check


Revision 1.18 - (view) (download) (annotate) - [select for diffs]
Mon Sep 17 04:59:29 2007 UTC (7 years ago) by nichoj
Branch: MAIN
Changes since 1.17: +4 -2 lines
Diff to previous 1.17 , to selected 1.12
Added default SRC_URI for gems.eclass, to point at rubyforge.


Revision 1.17 - (view) (download) (annotate) - [select for diffs]
Mon Mar 5 18:26:20 2007 UTC (7 years, 6 months ago) by rbrown
Branch: MAIN
Changes since 1.16: +3 -3 lines
Diff to previous 1.16 , to selected 1.12
Allow ebuilds to specify GEM_SRC. From Diego Pettenò <flameeyes@gmail.com>


Revision 1.16 - (view) (download) (annotate) - [select for diffs]
Wed Jan 31 13:46:07 2007 UTC (7 years, 7 months ago) by pclouds
Branch: MAIN
Changes since 1.15: +2 -2 lines
Diff to previous 1.15 , to selected 1.12
Don't call ruby_patch_mkmf, it causes #164525


Revision 1.15 - (view) (download) (annotate) - [select for diffs]
Mon Jan 29 12:15:50 2007 UTC (7 years, 7 months ago) by pclouds
Branch: MAIN
Changes since 1.14: +2 -1 lines
Diff to previous 1.14 , to selected 1.12
Separating mkmf patching code and reuse it in gems.eclass


Revision 1.14 - (view) (download) (annotate) - [select for diffs]
Tue Jan 9 23:29:17 2007 UTC (7 years, 8 months ago) by flameeyes
Branch: MAIN
Changes since 1.13: +4 -4 lines
Diff to previous 1.13 , to selected 1.12
Be more verbose about the way the install failure is identified.


Revision 1.13 - (view) (download) (annotate) - [select for diffs]
Thu Jan 4 19:00:47 2007 UTC (7 years, 8 months ago) by pclouds
Branch: MAIN
Changes since 1.12: +2 -2 lines
Diff to previous 1.12
show gem command line if gem installation fails


Revision 1.12 - (view) (download) (annotate) - [selected]
Thu Jan 4 05:43:52 2007 UTC (7 years, 8 months ago) by pclouds
Branch: MAIN
Changes since 1.11: +13 -4 lines
Diff to previous 1.11
Do not use --[no-]ri with <rubygems-0.9 in gems.eclass


Revision 1.11 - (view) (download) (annotate) - [select for diffs]
Sat Dec 30 16:40:11 2006 UTC (7 years, 8 months ago) by pclouds
Branch: MAIN
Changes since 1.10: +4 -3 lines
Diff to previous 1.10 , to selected 1.12
doc useflag should check for RI doc too, #145222


Revision 1.10 - (view) (download) (annotate) - [select for diffs]
Fri Dec 29 16:56:33 2006 UTC (7 years, 8 months ago) by pclouds
Branch: MAIN
Changes since 1.9: +9 -1 lines
Diff to previous 1.9 , to selected 1.12
gems.eclass dependencies fix, #158844


Revision 1.9 - (view) (download) (annotate) - [select for diffs]
Thu Jun 15 12:40:08 2006 UTC (8 years, 3 months ago) by caleb
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 , to selected 1.12
Make the ruby herd maintain the gems eclass


Revision 1.8 - (view) (download) (annotate) - [select for diffs]
Thu Apr 6 23:36:02 2006 UTC (8 years, 5 months ago) by caleb
Branch: MAIN
Changes since 1.7: +9 -2 lines
Diff to previous 1.7 , to selected 1.12
Add doc use flag to rubygems to optionally install via rdoc


Revision 1.1.1.1 - (view) (download) (annotate) - [select for diffs] (vendor branch)
Wed Nov 30 09:59:23 2005 UTC (8 years, 9 months ago) by chriswhite
Changes since 1.1: +22 -29 lines
Diff to previous 1.1 , to next main 1.37 , to selected 1.12
*** empty log message ***


Revision 1.7 - (view) (download) (annotate) - [select for diffs]
Fri Sep 23 00:57:25 2005 UTC (9 years ago) by caleb
Branch: MAIN
Changes since 1.6: +3 -2 lines
Diff to previous 1.6 , to selected 1.12
Make the gems eclass block rdoc, which is now provided by ruby-1.8.2 and breaks some current gems


Revision 1.6 - (view) (download) (annotate) - [select for diffs]
Mon Jul 11 15:08:06 2005 UTC (9 years, 2 months ago) by swegener
Branch: MAIN
Changes since 1.5: +4 -6 lines
Diff to previous 1.5 , to selected 1.12
QA: Apply whitespace checks from repoman to eclasses.


Revision 1.5 - (view) (download) (annotate) - [select for diffs]
Wed Jul 6 20:23:20 2005 UTC (9 years, 2 months ago) by agriffis
Branch: MAIN
Changes since 1.4: +1 -2 lines
Diff to previous 1.4 , to selected 1.12
Remove ECLASS= and INHERITED= which haven't been necessary for a long time now


Revision 1.4 - (view) (download) (annotate) - [select for diffs]
Wed Jul 6 20:20:03 2005 UTC (9 years, 2 months ago) by agriffis
Branch: MAIN
Changes since 1.3: +1 -2 lines
Diff to previous 1.3 , to selected 1.12
Remove ECLASS= and INHERITED= which haven't been necessary for a long time now


Revision 1.3 - (view) (download) (annotate) - [select for diffs]
Thu Mar 31 00:47:05 2005 UTC (9 years, 5 months ago) by pythonhead
Branch: MAIN
Changes since 1.2: +1 -3 lines
Diff to previous 1.2 , to selected 1.12
Removed unecessary einfo. bug# 87304


Revision 1.2 - (view) (download) (annotate) - [select for diffs]
Thu Mar 31 00:30:02 2005 UTC (9 years, 5 months ago) by pythonhead
Branch: MAIN
Changes since 1.1: +19 -21 lines
Diff to previous 1.1 , to selected 1.12
Added check for MY_P. Removed src_test


Revision 1.1 - (view) (download) (annotate) - [select for diffs]
Wed Feb 16 05:26:17 2005 UTC (9 years, 7 months ago) by pythonhead
Branch: MAIN
Diff to selected 1.12
New ruby gems eclass


This form allows you to request diffs between any two revisions of this file. For each of the two "sides" of the diff, select a symbolic revision name using the selection box, or choose 'Use Text Field' and enter a numeric revision.

  Diffs between and
  Type of Diff should be a

Sort log by:

Sticky Tag:

  ViewVC Help
Powered by ViewVC 1.1.20